use askama::Template;

use crate::scrapers::Media;

use super::Feed;

#[derive(Template)]
#[template(path = "feeds.html")]
pub struct FeedsTemplate {
    pub feeds: Vec<Feed>,
}

#[derive(Template)]
#[template(path = "feed_entry.html")]
pub struct FeedEntryTemplate {
    pub text: String,
    pub page_url: String,
    pub page: u8,
    pub media: Vec<Media>,
}
